Bug 755783 - Do not depend on deprecated GCJ
Do not depend on deprecated GCJ
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-21 22:03 EST by Jan Kratochvil
Modified: 2013-04-30 19:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: tigervnc-1.1.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-02 16:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.spec fix (923 bytes, patch)
2011-11-21 22:03 EST, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Jan Kratochvil 2011-11-21 22:03:10 EST
Created attachment 534905 [details]
.spec fix

Description of problem:
tigervnc BuildRequires GCJ.  GCJ is deprecated in Fedora and tigervnc has no specific needs for it (such as it does not build .java -> ELF).

Version-Release number of selected component (if applicable):
tigervnc-1.1.0-2.fc16

How reproducible:
Always.

Steps to Reproduce:
yum-builddep tigervnc-1.1.0-2.fc16.src.rpm

Actual results:
java-1.5.0-gcj-devel

Expected results:
java-1.6.0-openjdk-devel-1.6.0.0

Additional info:
Follow:
http://fedoraproject.org/wiki/Packaging:Java#GCJ
and:
http://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires
Comment 1 Fedora Update System 2011-11-22 09:27:51 EST
tigervnc-1.1.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tigervnc-1.1.0-3.fc16
Comment 2 Fedora Update System 2011-11-22 19:54:40 EST
Package tigervnc-1.1.0-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.1.0-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16244/tigervnc-1.1.0-3.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-02 16:27:01 EST
tigervnc-1.1.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.